document.body.oncopy = function () { 
 setTimeout( function () { 
  var text = clipboardData.getData("text");
  if (text) { 
   text = text + "\r\n本文来自: 笑话大全-申城热线(www.sc021.com/joke/) 详细出处参考："+location.href; clipboardData.setData("text", text);
  } 
    }, 100 ) 
}